%define debug_package %{nil}
%define bootstrap	0

Name:		freebasic
Summary:	Free BASIC language compiler
Version:	1.04.0
Release:	%mkrel 2
License:	GPLv2
Group:		Development/Other
URL:		http://freebasic.net
Source0:	https://sourceforge.net/projects/fbc/files/Source Code/FreeBASIC-%{version}-source.tar.xz
%if %{bootstrap}
Source10:	https://sourceforge.net/projects/fbc/files/Binaries - Linux/FreeBASIC-%{version}-linux-x86.tar.xz
Source11:	https://sourceforge.net/projects/fbc/files/Binaries - Linux/FreeBASIC-%{version}-linux-x86_64.tar.xz
%endif
BuildRequires:	libgpm-devel
BuildRequires:	libtermcap-devel
%if ! %{bootstrap}
BuildRequires:	freebasic
%endif
BuildRequires:	libxpm-devel
BuildRequires:	libncurses-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	gcc
BuildRequires:	pkgconfig(zlib)
Provides:	FreeBASIC = %{version}
Provides:	fbc = %{version}

%description
Open-source, free, multi-platform BASIC compiler, with syntax similar
MS-QuickBASIC (including the GFX statements), that adds new features
such as pointers, unsigned data types, inline assembly, a pre-processor
and many others.

%prep
%setup -q -n FreeBASIC-%{version}-source

%if %{bootstrap}
%ifarch x86_64
%setup -q -T -D -b 11 -n FreeBASIC-%{version}-source
%else
%setup -q -T -D -b 10 -n FreeBASIC-%{version}-source
%endif
%endif

%build
%setup_compile_flags
make \
%if %{bootstrap}
%ifarch x86_64
	FBC=%{_builddir}/FreeBASIC-%{version}-linux-x86_64/bin/fbc \
%else
	FBC=%{_builddir}/FreeBASIC-%{version}-linux-x86/bin/fbc \
%endif
%endif
	CFLAGS+=-I%(pkg-config --variable=includedir libffi)

%install
mkdir -p %{buildroot}%{_prefix}

#Minimal installation
make install prefix=%{buildroot}%{_prefix}

#Man
mkdir -p %{buildroot}%{_mandir}/man1
cp -f ./doc/fbc.1 %{buildroot}%{_mandir}/man1/

#Examples
mkdir -p %{buildroot}%{_datadir}/freebasic
cp -rf ./examples %{buildroot}%{_datadir}/freebasic/

%files
%doc doc/GoRC.txt readme.txt
%{_prefix}/lib/freebasic
%{_includedir}/freebasic
%{_mandir}/man1/fbc.1.*
%{_bindir}/fbc
%{_datadir}/freebasic


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.04.0-2.mga6
+ Revision: 972458
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 1.04.0-1.mga6
+ Revision: 898018
- version 1.04.0

* Wed Sep 09 2015 neoclust <neoclust> 1.02.1-2.mga6
+ Revision: 874921
- Fix build with new rpm ( empty debuginfo)

* Wed Jul 01 2015 alexl <alexl> 1.02.1-1.mga6
+ Revision: 849416
- add fbc to provides
- version 1.02.1

* Sat Oct 25 2014 alexl <alexl> 1.00.0-3.mga5
+ Revision: 793285
- disable bootstrap

* Sat Oct 25 2014 alexl <alexl> 1.00.0-2.mga5
+ Revision: 793280
- installed in /usr/lib for x86_64 (upstream bug #742)
- enabled bootstrap, because we have no x86_64 pkg in repo
- updated description
- version 1.00.0 with x86 and x86_64 support

* Thu Feb 06 2014 stormi <stormi> 0.90.1-3.mga5
+ Revision: 584804
- use version macro instead of specific version
- remove unwanted doc files

* Thu Feb 06 2014 wally <wally> 0.90.1-2.mga5
+ Revision: 584795
- disable bootstrap

* Thu Feb 06 2014 wally <wally> 0.90.1-1.mga5
+ Revision: 584779
- add bootstrap option to .spec
- clean .spec a bit
- imported package freebasic

